<?php
  class Angolo {
    private $gradi;
    private $primi;
    private $secondi;
   
   public function __construct ($gradi, $primi, $secondi){  
      $this->gradi=$gradi;
      $this->primi=$primi;
      $this->secondi=$secondi;
      $this->secondiAngolo($this->angoloSecondi()); 
   } 
    
   public function angoloSecondi(){
    return $this->gradi*3600+$this->primi*60+$this->secondi;
   } 
   public function getGradi(){
    return $this->gradi;
   } 
   public function getPrimi(){
    return $this->primi;
   }   
   public function getSecondi(){
    return $this->secondi;
   } 
   
   public function secondiAngolo($n){  
      $this->gradi=(int)($n/3600);
      $n=$n-$this->gradi*3600;
      $this->gradi=$this->gradi%360;
      $this->primi=(int)($n/60);
      $this->secondi=(int)($n-$this->primi*60);
   } 
    
   public function __toString () { 
    return $this->gradi." ".$this->primi."' ".$this->secondi.'"';
   }
    
   public function aggiungiGradi ($n){ 
     $this->gradi=$this->gradi+$n;
     $this->secondiAngolo($this->angoloSecondi()); 
   } 
   
  public function aggiungiPrimi ($n) {
     $this->primi=$this->primi+$n;
     $this->secondiAngolo($this->angoloSecondi());  
   } 
   
   public function aggiungiSecondi ($n) { 
     $this->secondi=$this->secondi+$n;
     $this->secondiAngolo($this->angoloSecondi());  
   }
   
  public function sommaAngolo (Angolo $a) { 
     $this->secondiAngolo($a->angoloSecondi()+$this->angoloSecondi());  
   } 

  public function differenzaSecondi(Angolo $a) {
    return $this->angoloSecondi()-($a->angoloSecondi());
  } 
 }
?>

<html>
 <head>
  <title>Test classe Angolo</title>
 </head>
 <body>
  <?php
    $a1 = new Angolo(22,80,70);
	$a2 = new Angolo(20,20,15);
    echo "Angolo 1: ".$a1->__toString()."<br>";
	echo "Angolo 2: ".$a2->__toString()."<br>";
	echo "Differenza secondi tra angolo 1 e angolo 2: ".$a1->differenzaSecondi($a2)."<br>";
	echo "Aggiunta di 4 all'angolo 1<br>";
	$a1->aggiungiGradi(4);
	echo "Angolo 1: ".$a1->__toString()."<br>";
	echo "Aggiunta di 3600'' all'angolo 1<br>";
	$a1->aggiungiSecondi(3600);
	echo "Angolo 1: ".$a1->__toString()."<br>";
	echo "Aggiunta di 80' all'angolo 1<br>";
	$a1->aggiungiPrimi(80);
    echo "Angolo 1: ".$a1->__toString()."<br>";
	echo "Somma dell'angolo 2 all'angolo 1<br>";
	$a1->sommaAngolo($a2);
    echo "Angolo 1: ".$a1->__toString()."<br>";
  ?>
 </body>
<html> 
 