<?php
  class Pubblicazione {
    // attributi
    private $titolo;
    private $numero_pagine;
    private static $costo_per_pagina = 0.02;
    // costruttore
    public function __construct($titolo, $numero_pagine) {
      $this->titolo = $titolo;
      $this->numero_pagine = $numero_pagine;
    }
    public function setTitolo($titolo) {
      $this->titolo = $titolo;
    }
    public function setNumero_pagine($numero_pagine) {
      $this->numero_pagine = $numero_pagine;
    }
    public static function setCosto_per_pagina($costo) {
      self::$costo_per_pagina = $costo;
    }
    public function getTitolo() {
      return $this->titolo;
    }
    public function getNumero_pagine() {
      return $this->numero_pagine;
    }
    public static function getCosto_per_pagina() {
      return self::$costo_per_pagina;
    }
    public function prezzo() {
      return self::$costo_per_pagina*$this->numero_pagine;
    }
    public function __toString() {
      return "Pubblicazione: ".$this ->titolo." pagine: ".$this ->numero_pagine." costo pagina: ".self::$costo_per_pagina." prezzo: ".$this->prezzo();
    }
  }
?>
