<?php
  class Pubblicazione {
    // attributi
    private $titolo;
    private $numero_pagine;
    private static $costo_per_pagina = 0.02;
    // costruttore
    public function __construct($titolo, $numero_pagine) {
      $this->titolo = $titolo;
      $this->numero_pagine = $numero_pagine;
    }
    public function setTitolo($titolo) {
      $this->titolo = $titolo;
    }
    public function setNumero_pagine($numero_pagine) {
      $this->numero_pagine = $numero_pagine;
    }
    public static function setCosto_per_pagina($costo) {
      self::$costo_per_pagina = $costo;
    }
    public function getTitolo() {
      return $this->titolo;
    }
    public function getNumero_pagine() {
      return $this->numero_pagine;
    }
    public static function getCosto_per_pagina() {
      return self::$costo_per_pagina;
    }
    public function prezzo() {
      return self::$costo_per_pagina*$this->numero_pagine;
    }
    public function __toString() {
      return "Pubblicazione: ".$this ->titolo." pagine: ".$this ->numero_pagine." costo pagina: ".self::$costo_per_pagina." prezzo: ".$this->prezzo();
    }
  }
?>

<html>
  <head>
    <title>Pubblicazione</title>
  </head>
  <body>
    <?php
      require_once("pubblicazione.php");
      echo "Costo per pagina: ".
      Pubblicazione::getCosto_per_pagina()."<br><br>";
      $pubblicazione1 = new Pubblicazione("Topolino",150);
      $pubblicazione2 = new Pubblicazione("Zio Paperone",100);
      echo $pubblicazione1."<br>";
      echo $pubblicazione2."<br><br>";
      Pubblicazione::setCosto_per_pagina(0.05);
      echo "Costo per pagina: ".
      Pubblicazione::getCosto_per_pagina()."<br><br>";
      echo $pubblicazione1."<br>";
      echo $pubblicazione2."<br><br>";
      $pubblicazione1->setCosto_per_pagina(0.1);
      echo "Costo per pagina: ".
      Pubblicazione::getCosto_per_pagina()."<br><br>";
      echo $pubblicazione1."<br>";
     echo $pubblicazione2."<br><br>";
    ?>
  </body>
<html>