<?php
 class Animale {
  // attributi
   private $nome;
   private $specie;
  // costruttore
   public function __construct($nome, $specie) {
    $this->nome=$nome;
    $this->specie=$specie;
   }
  // metodi
   public function setNome($nome) {
    $this->nome=$nome;
   }
   public function setSpecie($specie) {
    $this->specie=$specie;
   }
   public function getNome() {
    return $this->nome;
   }
   public function getSpecie() {
    return $this->specie;
   }
  }
?>

<?php
  class AnimaleTerrestre extends Animale {
   // attributi
   private $ambiente;
  // costruttore
   public function __construct($nome, $specie, $ambiente) {
    parent::__construct($nome, $specie);
    $this->ambiente=$ambiente;
   }
  // metodi
   public function setAmbiente($ambiente) {
    $this->ambiente=$ambiente;
   }
   public function getAmbiente() {
    return $this->ambiente;
   }
   public function __toString() {
    return "L&apos;animale ".$this->getNome()." &egrave; un ".$this->getSpecie()." e vive nell&apos;ambiente ".$this->getAmbiente();
   }
  }
  
  class AnimaleAcquatico extends Animale {
   // attributi
   private $tipo_acqua;
   // costruttore
   public function __construct($nome, $specie, $tipo_acqua) {
    parent::__construct($nome,$specie);
    $this->tipo_acqua =$tipo_acqua;
   }
   // metodi
   public function setTipo_acqua($tipo_acqua) {
    $this->tipo_acqua =$tipo_acqua;
   }
   public function getTipo_acqua() {
    return $this->tipo_acqua;
   }
   public function __toString() {
    return "L&apos;animale ".$this->getNome()." &egrave; un ".$this->getSpecie()." e vive in acqua ".$this->getTipo_acqua();
   }
  }
?>